#!/bin/bash

if [[ ! -h /app/skins ]]; then
    mkdir -p /var/lib/mediawiki/skins
    cp -R /app/skins/* /var/lib/mediawiki/skins
    rm -rf /app/skins
    ln -s /var/lib/mediawiki/skins /app/skins
fi

if [[ ! -h /app/images ]]; then
    mkdir -p /var/lib/mediawiki/images
    cp -R /app/images/* /var/lib/mediawiki/images
    rm -rf /app/images
    ln -s /var/lib/mediawiki/images /app/images
fi

# Run updater if we have an existing install
if [[ -e /var/lib/mediawiki/LocalSettings.php ]]; then
    cd /app/maintenance
    php update.php
fi
